Bug 130571 - Can't read kickstart files
Can't read kickstart files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 20:12 EDT by Johan Dahl
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 06:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johan Dahl 2004-08-21 20:12:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Then I run:

$ system-config-kickstart ks.cfg 

on an previously created kickstartfile I get this message. If uses
"Open" in "File"-menu it also happens.


Traceback (most recent call last):
  File
"/usr/share/system-config-kickstart/system-config-kickstart.py", line
81, in ?
    kickstartGui.kickstartGui(file)
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 164,
in __init__
    self.fillData()
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 307,
in fillData
    self.firewall_class.fillData()
  File "/usr/share/system-config-kickstart/firewall.py", line 221, in
fillData
    self.firewallCustomizeRadio.set_active(gtk.TRUE)
AttributeError: 'NoneType' object has no attribute 'set_active'


Version-Release number of selected component (if applicable):
2.5.11-1

How reproducible:
Always

Steps to Reproduce:
1. run "system-config-ks.cfg" in terminal
2.
3.
    

Actual Results:  Error messages and the program doesn't come up.

Expected Results:  The program should have started and allowed me to
continue editing the kickstart file.

Additional info:
Comment 1 Paul Nasrat 2004-08-24 05:27:28 EDT
Could you test with system-config-kickstart from rawhide these fixes
should be there already.

system-config-kickstart-2.5.12-3
Comment 2 Johan Dahl 2004-08-24 19:31:40 EDT
Now I can open saved kickstart files both as a command line argument
and from inside the program. Very good!

Note You need to log in before you can comment on or make changes to this bug.